#
# spec file for package libibumad
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define umad_so 3

Name:           libibumad
Summary:        User MAD library functions on top of user MAD modules for Infiniband diagnostic and management tools
Version:        1.3.6
Release:        0.9.11
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
ExcludeArch:    s390 s390x

%description
libibumad provides the user MAD library functions which sit on top of
the user MAD modules in the kernel. These are used by the IB diagnostic
and management tools, including OpenSM



Authors:
--------
    http://openib.org

%package     -n %{name}%{umad_so}


Summary:        User MAD library functions on top of user MAD modules for Infiniband diagnostic and management tools
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++

%description -n %{name}%{umad_so}
This package contains the User MAD runtime library.

%package        devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        Development files for the libibumad library.
Requires:       %{name}%{umad_so} = %{version}

%description    devel
Development files for the libibumad library.



Authors:
--------
    http://openib.org

%prep
%setup -q
./autogen.sh

%build
%configure
make

%install
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -n %{name}%{umad_so} -p /sbin/ldconfig

%postun -n %{name}%{umad_so} -p /sbin/ldconfig

%files -n %{name}%{umad_so}
%defattr(-, root, root)
%_libdir/libibumad.so.*
%_mandir/man3/*

%files devel
%defattr(-,root,root)
%dir %_includedir/infiniband
%_includedir/infiniband/umad.h
%_libdir/libibumad.a
%_libdir/libibumad.la
%_libdir/libibumad.so

%changelog
* Fri Feb 11 2011 pth@suse.de
- Add ExcludeArch for s390 and s390x
* Mon Nov  8 2010 kukuk@suse.de
- Add baselibs.conf
* Fri Oct 29 2010 pth@suse.de
- Generate new subpackage libibumad<so_version> and adapt
  dependencies.
- Adapt post and postun.
* Tue Oct 26 2010 jsembera@suse.de
- PTF for 642445
  Version upgrade based on home:jjolly:branches:SUSE:SLE-10-SP3:Update:Test
* Fri Oct 22 2010 stefan.fent@novell.com
- update to 1.3.6 from OFED 1.5.2
* Thu Jun 10 2010 jsembera@suse.de
- PTF for 604678
  Version upgrade based on home:jjolly:branches:SUSE:SLE-10-SP3:Update:Test
* Tue May 25 2010 jjolly@novell.com
- Also removed static package dependency on libibcommon
* Mon May 24 2010 jjolly@novell.com
- Updated to v1.3.4 from OFED 1.5.1
- Removed dependency on libibcommon and libibverbs.
* Mon Feb 22 2010 jjolly@suse.de
- Update to v1.2.3_20090314 from OFED 1.4.2
* Wed Oct 15 2008 jjolly@suse.de
- Update to version from OFED 1.3.1 release
* Thu Feb 28 2008 jjolly@suse.de
- Updated to 1.1.7 from OFED 1.3 GA release
* Tue Jan 29 2008 jjolly@suse.de
- Updated to 1.1.6 from OFED 1.3 rc2 release
* Mon Jul  2 2007 hvogel@suse.de
- use correct version 1.0.5 that comes with OFED 1.2
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.0.0
